Skip to main content
GET
/
atlas
/
directory
/
counterparties
List trusted counterparties
curl --request GET \
  --url https://api.anchorage-staging.com/v2/atlas/directory/counterparties \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "counterpartyId": "<string>",
      "counterpartyName": "<string>",
      "isActive": true,
      "description": "<string>"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

participantId
string
required

ID of the participant this trusted counterparty is for

limit
integer<int64>
default:30

Maximum number of results to return per query

Required range: 1 <= x <= 100
afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

Response

counterparties

data
object[]
required
page
Page · object
required

Pagination info